/*
 * filename: ipsec_frag.h
 *
 * Developed by secunet AG
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 */

#ifndef __IPSEC_FRAG_H
#define __IPSEC_FRAG_h

#include <linux/config.h>
#include <linux/netdevice.h>
#include <linux/skbuff.h>


extern int ipsec_fragment(struct sk_buff *skb, struct net_device *dev);
extern int ipsec_frag_skip_hard_header(struct sk_buff *skb);

extern int ipsec_frag_init(void);
extern void ipsec_frag_cleanup(void);

#endif
