/*
 * filename: ipsec_sysctl.h
 */
		
#ifndef __IPSEC_SYSCTL_H
#define __IPSEC_SYSCTL_H

#include <linux/config.h>
		
enum {
#ifdef CONFIG_IPSEC_NF
	NET_IPSEC_CONF_CRYPT= 1,
#endif
#ifdef CONFIG_CLOSEIPSEC
	NET_IPSEC_CONF_OPEN= 2,
	NET_IPSEC_CONF_INDROP,
	NET_IPSEC_CONF_OUTDROP,
#endif
	NET_IPSEC_CONF_END = 999
};

enum {
	NET_IPSEC_CONF_ALL = -2
};

enum {
	NET_IPSEC_CONF = -1,
#ifdef CONFIG_IPSEC_PKT_SEQ
	NET_IPSEC_SEQ_ENABLE= 1,
	NET_IPSEC_SEQ_RESET,
#endif
	NET_IPSEC_END = 999
};

enum
{
	NET_IPSEC_CTL = 1
};

#endif
